﻿@inherits UmbracoViewPage
@using System.Collections.Generic;
@using Core.Services;
@using Core.helpers;
@using Current = Umbraco.Web.Composing.Current;

@{
    IPublishedContent root = Model.Root();
    IPublishedContent articleList = root.Children.Where(x => x.ContentType.Alias == "articleList" && x.IsVisible()).FirstOrDefault();
    IEnumerable<IPublishedContent> articles = articleList.Children.Where(x => x.IsVisible() && x.ContentType.Alias == "article").OrderByDescending(x => x.Value<DateTime>("articleDate"));
    int itemsToShow = Model.Id == root.Id ? 3 : 99;

    IClientSettingsService clientSettingsService = Current.Factory.GetInstance<IClientSettingsService>();
    var clientSettings = clientSettingsService.GetClientSettings();
   
}

<section class="images-section-wrap_type_card">
    <div class="images-section">
        <div class="images-section__grid-container_half">

            @if (articles.Any())
            {
                foreach (IPublishedContent item in articles.OrderByDescending(x => x.Value<DateTime>("articleDate")).Take(itemsToShow))
                {
                    var posturl = item.Url;
                    if (Convert.ToBoolean(item.Value("isExternal")) == true) {
                        posturl = item.Value("externalLink").ToString().Trim();
                        posturl = posturl.StartsWith("http://") ? posturl  : (posturl.StartsWith("https://") ? posturl : "http://" + posturl);
                    }
                    <a class="images-section-item images-section-image-item" href="@posturl" target="@(Convert.ToBoolean(item.Value("isExternal")) == true ? "_blank" : "_self")">
                        <div class="images-section-image-item__image">
                            @{
                                var fallbackMediaItem = Umbraco.Media(clientSettings.DymmyImageId);

                                    var viewModel = RazorHelpers.GenerateMediaItemView(item.Value<IPublishedContent>("boImage"), fallbackMediaItem, @"[{""BreakPointSettings"": ""defaultSettings"", ""imageWidth"": 620, ""imageHeight"": 620},
                                                                                 {""BreakPointSettings"": ""(max-width: 414px)"", ""imageWidth"": 340, ""imageHeight"": 220}, 
                                                                                 {""BreakPointSettings"": ""(max-width: 768px)"", ""imageWidth"": 640, ""imageHeight"": 640}]", false, "");
                                    @Html.Raw(viewModel)
                                @*var filetype = FileTypeDetectHelper.getFileType("http://produktet.local" + item.Value<IPublishedContent>("boImage").Url);

                                if (filetype == "Video")
                                {
                                    var videoUrl = item.Value<IPublishedContent>("boImage");

                                    <video playsinline autoplay muted loop>
                                        @if (videoUrl != null)
                                        {
                                            <source src='@videoUrl.Url' type="video/mp4">
                                        }
                                    </video>
                                }
                                else
                                {
                                    string mobileImageUrl = item.Value<IPublishedContent>("boImage")?.GetCropUrl(720, 455) ?? mediaItem.GetCropUrl(720, 455);
                                    string ipadImageUrl = item.Value<IPublishedContent>("boImage")?.GetCropUrl(720, 455) ?? mediaItem.GetCropUrl(720, 455);
                                    string desktopImageUrl = item.Value<IPublishedContent>("boImage")?.GetCropUrl(720, 455) ?? mediaItem.GetCropUrl(720, 455);
                                    <picture>
                                        <source srcset="@mobileImageUrl" media="(max-width: 414px)">
                                        <source srcset="@ipadImageUrl" media="(max-width: 768px)">
                                        <img srcset="@desktopImageUrl" alt="">
                                    </picture>

                                }*@
                            }

                            <div class="images-section-image-item__overlay"></div>
                        </div>
                        @*<span class="images-section-image-item__label2">
                                27 MAR
                            </span>*@
                        <div class="images-section-image-item__info-section">
                            @*<span class="images-section-image-item__label1">@(Convert.ToDateTime(item.CreateDate).ToString("dddd, dd MMMM yyyy"))</span>*@
                            <h3 class="images-section-image-item__title">@item.Name</h3>
                            <h4 class="images-section-image-item__subtitle">@(Convert.ToDateTime(item.CreateDate).ToString("dddd, dd MMMM yyyy"))</h4>
                            @*<p class="images-section-image-item__description">
                                    New York, the largest city in the U.S., is an architectural marvel with plenty of
                                </p>*@
                            <div class="images-section-image-item__info-section__overlay">
                            </div>
                        </div>
                    </a>
                }
            }
        </div>
    </div>
</section>




